using System.Text.Json.Serialization;

namespace File_Folder_Helper.Helpers;

public record PackageJson([property: JsonPropertyName("name")] string Name,
                          [property: JsonPropertyName("time")] Dictionary<string, DateTime> Times,
                          [property: JsonPropertyName("_rev")] string Rev,
                          [property: JsonPropertyName("_id")] string Id);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(PackageJson))]
internal partial class PackageJsonSourceGenerationContext : JsonSerializerContext
{
}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(PackageJson[]))]
internal partial class PackageJsonCollectionSourceGenerationContext : JsonSerializerContext
{
}